[arch-commits] Commit in xf86-video-amd/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 10:27:01 EDT 2008


    Date: Sunday, August 31, 2008 @ 10:27:01
  Author: jgc
Revision: 11318

upgpkg: xf86-video-amd 2.7.7.7-1

Modified:
  xf86-video-amd/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 14:26:35 UTC (rev 11317)
+++ PKGBUILD	2008-08-31 14:27:01 UTC (rev 11318)
@@ -1,27 +1,26 @@
 # $Id$
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 pkgname=xf86-video-amd
-pkgver=2.7.7.6
+pkgver=2.7.7.7
 pkgrel=1
 pkgdesc="X.org AMD/Geode LX & NX video driver"
 # there is no 64bit geode yet!
 arch=(i686)
+license=('custom')
 url="http://xorg.freedesktop.org/"
-makedepends=('pkgconfig' 'xorg-server>=1.4')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
 options=('!libtool')
-license=('custom:amd')
 groups=('xorg-video-drivers')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('2f3e8c3019afda926e7ab95b074c35e1')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST} \
-	      --enable-visibility
+	      --enable-visibility || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 
-  install -D -m644 ${startdir}/src/${pkgname}-${pkgver}/COPYING \
-                   ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('e839cc4552032b7bd44beb72e575980f')




More information about the arch-commits mailing list